/**
 * Created by aaron on 2020-03-26
 */

ext {
    android = '3.3.0'
    kotlin = '1.3.10'
    android_legacy = '27.1.1'
    constraintlayout = '1.1.3'
    koin = '2.1.5'
    ted_permission = '2.2.3'
    retrofit2 = '2.8.1'
    okhttp = '4.4.0'
    gson = '2.8.6'
    rxkotlin = '2.4.0'
    rxandroid = '2.1.1'
    glide = '3.7.0'
    junit = '4.12'
    android_runner = '1.0.2'
    espresso_core = '3.0.2'
}

ext.dependencies = [
        classpath : [
                android     : "com.android.tools.build:gradle:$ext.android",
                kotlin      : "org.jetbrains.kotlin:kotlin-gradle-plugin:$ext.kotlin",
                koin        : "org.koin:koin-gradle-plugin:$ext.koin"
        ],
        library : [
                kotlin_stdlib       : "org.jetbrains.kotlin:kotlin-stdlib-jdk8:$ext.kotlin",
                kotlin_databinding  : "com.android.databinding:compiler:$ext.android",
                appcompat           : "com.android.support:appcompat-v7:$ext.android_legacy",
                recyclerview        : "com.android.support:recyclerview-v7:$ext.android_legacy",
                constraintlayout    : "com.android.support.constraint:constraint-layout:$ext.constraintlayout",
                koin_scope          : "org.koin:koin-android-scope:$ext.koin",
                koin_viewmodel      : "org.koin:koin-android-viewmodel:$ext.koin",
                koin_ext            : "org.koin:koin-android-ext:$ext.koin",
                ted_permission      : "gun0912.ted:tedpermission-rx2:$ext.ted_permission",
                retrofit2_runtime   : "com.squareup.retrofit2:retrofit:$ext.retrofit2",
                retrofit2_rxadapter : "com.squareup.retrofit2:adapter-rxjava2:$ext.retrofit2",
                retrofit2_gson      : "com.squareup.retrofit2:converter-gson:$ext.retrofit2",
                okhttp              : "com.squareup.okhttp3:okhttp:$ext.okhttp",
                okhttp_interceptor  : "com.squareup.okhttp3:logging-interceptor:$ext.okhttp",
                gson                : "com.google.code.gson:gson:$ext.gson",
                rxkotlin            : "io.reactivex.rxjava2:rxkotlin:$ext.rxkotlin",
                rxandroid           : "io.reactivex.rxjava2:rxandroid:$ext.rxandroid",
                glide               : "com.github.bumptech.glide:glide:$ext.glide",
        ],
        test : [
                junit               : "junit:junit:$ext.junit",
                android_runner      : "com.android.support.test:runner:$ext.android_runner",
                espresso_core       : "com.android.support.test.espresso:espresso-core:$ext.espresso_core"
        ]
]